%define version	1.20
%define release	1mdk
%define name 	perl-Period
%define realname	Period

Summary:	Time::Period module for perl
Name: 		%{name}
version: 	%{version}
Release: 	%{release}
Copyright: 	GPL
Group: 		Development/Perl
Source: 	ftp://ftp.cpan.org:/pub/CPAN/modules/by-module/Time/%{realname}-%{version}.tar.bz2
URL: 		http://www.perl.com/CPAN/modules/by-module/Time/
BuildRoot: 	/%{_tmppath}/%{name}-%{version}-%{release}-root/
Prefix: %{_prefix}
Requires: 	perl
Requires:	spec-helper

%description
    Period.pm is a Perl module that contains code to deal with time periods.
Currently, there is only a function in this module.  That function is
called inPeriod().

inPeriod() determines if a given time is within a given time period.
It will return 1 if it is, 0 if not, and -1 if either the time or the
period passed to it were malformed.  The time is specified in non-leap
year seconds past January 1, 1970, as per the time() function.  The period
is a string which is of the form described in Period's man page.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{realname}-%{version}

%build
rm -rf $RPM_BUILD_ROOT
perl Makefile.PL PREFIX=%{prefix}
make
make test

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%makeinstall PREFIX=$RPM_BUILD_ROOT/%{prefix}
#find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | \
#    sed -e "s@\.3@.3.bz2@g" | \
#    grep -v perllocal.pod | \
#	grep -v .packlist > %{realname}-%{version}-filelist
   
# %files -f %{realname}-%{version}-filelist
%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/*
%{_libdir}/perl5/man/*/*
%doc Period.html README

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 1.20-1mdk
- macroszifications.

* Wed Jun 28 2000 Planel Nicolas <nicolas@mandrakesoft.com>
- Spec file was generated.


